<?php
$locale['themedb_name'] = "Theme Database";
$locale['themedb_submit'] = "Submit a Theme!";
$locale['themedb_edit'] = "Edit Theme";
$locale['themedb_description'] = "Theme Database for PHP-Fusion Themes, coded by Matonor";
$locale['themedb_linkname'] = "Theme Database";
$locale['themedb_intro'] = "Welcome to the PHP-Fusion Themes Database.<br />
Use this as your tool for finding Themes, <a href='".INFUSIONS."theme_database/submit.php'>submitting your own</a> and sharing your thoughts on other's creations.";
//ADDED by Sveinung:
$locale['themedb_intro_member'] = "Welcome to the PHP-Fusion Themes Database.<br />
Use this as your tool for finding Themes, <a href='".BASEDIR."viewpage.php?page_id=3'>submitting your own</a> and sharing your thoughts on other's creations.";
$locale['themedb_category'] = "Category";
$locale['themedb_categories'] = "Categories";
$locale['themedb_fusion'] = "PHP-Fusion";
$locale['themedb_theme'] = "Theme";
$locale['themedb_themes'] = "Themes";
$locale['themedb_screenshot'] = "Screenshot";
$locale['themedb_copyright'] = "Copyright";
$locale['themedb_version'] = "Version";
$locale['themedb_user'] = "User";
$locale['themedb_not_found'] = "not found.";
$locale['themedb_too_large'] = "too large.";
$locale['themedb_file'] = "File";
$locale['themedb_folder'] = "Folder";
$locale['themedb_broken'] = "seems to be broken.";
$locale['themedb_invalid_value'] = "has an invalid value.";
$locale['themedb_invalid_chars'] = "contains invalid characters.";
$locale['themedb_not_zip'] = "is no ZIP File.";
$locale['themedb_not_image'] = "is not a supported Image File. We support PNG, GIF and JPEG Images.";

$locale['themedb_uncategorized'] = "Uncategorized View";
$locale['themedb_uncategorized_desc'] = "Uncategorized View of all Themes. Especially useful to order all Themes, regardless of categories.";
$locale['themedb_search'] = "Search";
$locale['themedb_toggle'] = "Toggle";
$locale['themedb_in'] = "in";
$locale['themedb_without_unit'] = "without unit";
$locale['themedb_usertype_me'] = "me";
$locale['themedb_usertype_user'] = "A user of PHP-Fusion Themes";
$locale['themedb_usertype_submitter'] = "A listed Theme Author";
$locale['themedb_usertype_else'] = "Somebody else";
$locale['themedb_for'] = "for";
$locale['themedb_unapproved'] = "unapproved";
$locale['themedb_both'] = "both";
$locale['themedb_logo'] = "Logo";
$locale['themedb_button'] = "Button";
$locale['themedb_theme_name'] = "Name";
$locale['themedb_author_who'] = "Who is Author of this Theme?";
$locale['theme_db_user_types'] = array("me", "A listed Themer", "An User of this Website", "Someone else");
$locale['themedb_author'] = "Author";
$locale['themedb_author_web'] = "Website";
$locale['themedb_author_mail'] = "eMail";
$locale['themedb_cat'] = "Category";
$locale['themedb_version'] = "Version";
$locale['themedb_fusion'] = "Compatibility";
$locale['themedb_switch_theme'] = "Switch to this Theme now!";
$locale['themedb_switch_theme_back'] = "Switch Back!";
$locale['themedb_switch_no_folder'] = "No folder specified!";
$locale['themedb_rating'] = "Rating";
$locale['themedb_dl'] = "Download";
$locale['themedb_desc'] = "Description";
$locale['themedb_desc_short'] = "Desc";
$locale['themedb_features'] = "Features";
$locale['themedb_validity'] = "Validity";
$locale['themedb_invalid_html'] = "Not w3c compliant Html";
$locale['themedb_invalid_css'] = "<br />Not w3c compliant CSS";
$locale['themedb_graphic_amnt'] = "Graphic Amount";
$locale['themedb_graphic_amnt_value'] = array("none", "light", "medium", "heavy");
$locale['themedb_main_color'] = "Main Color(s)";
$locale['themedb_brightness'] = "Brightness";
$locale['themedb_brightness_value'] = array("very dark", "dark", "medium", "bright", "very bright");
$locale['themedb_width'] = "Width";
$locale['themedb_width_value'] = array("variable width", "fixed width");
$locale['themedb_blanks'] = "Blanks";
$locale['themedb_blank_logo'] = "Blank logo included";
$locale['themedb_blank_button'] = "<br />Blank button included";
$locale['themedb_no_blanks'] = "No blank images included";
$locale['themedb_stats'] = "Statistics";
$locale['themedb_views'] = "Views";
$locale['themedb_dl'] = "Download";
$locale['themedb_dls'] = "Downloads";
$locale['themedb_dlperview'] = "Download/View";
$locale['themedb_traffic'] = "";
$locale['themedb_dlperview_value'] = array(" Downloads per View or 1 Download per "," Views");
$locale['themedb_stats_theme_count'] = "Theme Count";
$locale['themedb_stats_dl_count'] = "Download Count";
$locale['themedb_average'] = "Average";
$locale['themedb_total'] = "Total";
$locale['themedb_stats_dl_size'] = "Total Theme Size";
$locale['themedb_stats_traffic'] = "Traffic";
$locale['themedb_is_empty'] = "is empty.";
$locale['themedb_msg_error'] = "Error!";
$locale['themedb_msg_success'] = "Success!";
$locale['themedb_info'] = "Information";



//Theme View
$locale['themedb_no_theme_of_id_title'] = "No Theme Found";
$locale['themedb_no_theme_of_id'] = "There is no Theme of this ID. If you accessed this Page via a link, the Theme might be deleted.<br />\n&middot;<a href='index.php'>Back to Overview</a>";
//Missing locale | added by Sveinung:
$locale['themedb_error'] = "An error occurred:<br />";
//
$locale['themedb_not_approved'] = "This Theme is not approved yet. Please be patient.";
$locale['themedb_not_author_title'] = "Access denied!";
$locale['themedb_num_users'] = "Number of Users";
$locale['themedb_num_users_text'] = "Users have set this Theme in their Profile or via the Theme Switcher.";
$locale['themedb_not_author'] = "Your are not the author of this Theme. You may not edit it.";
$locale['themedb_last_change'] = "Last Change";
$locale['themedb_submission_date'] = "Submission Date";

//Overview
$locale['themedb_overview'] = array("no_cat_id", "Category ID Missing");
$locale['themedb_no_themes'] = "<b>No Themes found</b>!<br />There are either no Themes submitted here yet or no Theme matches your Search Criteria";
$locale['themedb_cat_column1'] = "Theme Name";
$locale['themedb_cat_column2'] = "Author";
$locale['themedb_cat_column3'] = "Version";
$locale['themedb_cat_column4'] = "PHP-Fusion";
$locale['themedb_cat_column5'] = "Date Submitted";
$locale['themedb_cat_column6'] = "Rating";
$locale['themedb_cat_column7'] = "Downloads";
$locale['themedb_orderby'] = array("Name", "Author", "Submission Date", "Rating", "Comment Count",
                                    "View Count", "Download Count", "Version", "PHP-Fusion Version", "Last Update");
$locale['themedb_order_way'] = array("ascending", "descending");
$locale['themedb_display_all_nocats'] = "All [uncategorized]";
$locale['themedb_display_all_cats'] = "All [categorized]";
$locale['themedb_display_all_slide'] = "All [Slideshow]";
$locale['themedb_display_fusion'] = "PHP-Fusion";
$locale['themedb_display_advanced'] = "Advanced Options";
$locale['themedb_display'] = "Display Options";
$locale['themedb_slideshow'] = "Slideshow";
$locale['themedb_slideshow_desc'] = "A more pictorial View of the Themes.";

//Top Themes
$locale['themedb_top_themes'] = "Top Themes";
$locale['themedb_top_themes_desc'] = "A small selection of Themes with high popularity.";

//Random Themes
$locale['themedb_random_themes'] = "Random Themes";

//Awards
$locale['themedb_awards'] = "Awards";
$locale['themedb_no_awards'] = "There are no awards yet.";
$locale['themedb_got_no_awards'] = "This theme did not archive any awards yet.";


//Quicknav
$locale['themedb_quicknav'] = array("title" => "Quick Navigation", "intro" => "Choose where to go next:<br />\n",
"home" => "Back to Default Overview", "category" => "Back to Category", "author" => "View all Themes by this Author", "edit" => "Edit this Theme");

//Submissions
$locale['themedb_submissions'] =
array("login" => "Please <a href='".BASEDIR."login.php'>login</a> first to submit a Theme.",
      "login_title" => "Not logged in!",
      "disabled_title" => "Submissions disabled!",
      "disabled" => "Submissions are currently disabled for technical reasons.",
      "submit_button_submit" => "Submit Theme!",
      "submit_button_edit" => "Update Theme!",
      "write_success_title" => "Submission successful!",
      "write_success" => "Submission successfully written to Database. We will inform you about Approval or Rejection via Mail.<br />\n Thank you for your Submission!<br /><form style='display:inline;' action='index.php' method='post'><input type='submit' class='button' value='OK'></form>",
      "check_success_title" => "All data correct!",
      "check_success" => "All data correct!<br />\n Proceeding to Write.",
      "imagetype_error" => "Invalid Image Type!",
      "theme_file_missing" => "There is no Theme file uploaded. Something went wrong during your Submission",
      "screen_file_missing" => "There is no Theme file uploaded. Something went wrong during your Submission",
      "theme_move_failed" => "Moving the Theme has failed!",
      "screen_move_failed" => "Moving the Screenshot has failed!",
      "theme_move_ok" => "Theme moved successfully!",
      "screen_move_ok" => "Screenshot moved successfully!",
      "theme_update_failed" => "Updating Theme has failed!",
      "screen_update_failed" => "Updating Screenshot has failed!",
      "theme_update_ok" => "Theme updated successfully!",
      "screen_update_ok" => "Screenshot updated successfully!",
      "mysql_new_error" => "MySQL Insert Query failed!",
      "mysql_edit_error" => "MySQL Update Query failed!",
      "theme_query_error" => "Theme could not be read from Database! Either the Theme does not exist or there is a general Database Problem.");
$locale['themedb_errors_occured'] = "<b>The following errors occured processing your submission. Please review your submission.</b>";
$locale['themedb_submit_mail'] = "Hello ".(iMEMBER ? $userdata['user_name'] : "Guest")."!\nWe received your Submission and will inform you about our decision. Please be patient and don't expect a immediate Approval. There might be numerous other Themes in queue and we have other duties, too.\n
Thank you for your Submission and your patience.\n
Sincerely, the PHP-Fusion Themes Team";
$locale['themedb_submit_mail_title'] = "Theme Submission received";

?>