<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."theme_database/theme_database_inc.php";
require_once INFUSIONS."theme_database/theme_submission_inc.php";
if (file_exists(INFUSIONS."theme_database/locale/".$settings['locale'].".php")) {
	include INFUSIONS."theme_database/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."theme_database/locale/English.php";
}
require_once THEMES."templates/header.php";
opentable($locale['themedb_name'].": ".$locale['themedb_submit']);

error_reporting(0);

if(iMEMBER){
    if($themedb_settings['submissions'] == 1){
        if(check_submission()){
            display_message($locale['themedb_submissions']["check_success_title"],$locale['themedb_submissions']["check_success"]);
            if(!write_submission((iADMIN && checkrights("TDB") ? "admin" : "user"), "new"))
                theme_form((iADMIN && checkrights("TDB") ? "admin" : "user"), "new");
            else{
                display_message($locale['themedb_submissions']["write_success_title"],$locale['themedb_submissions']["write_success"]);
            }
        }else{
            theme_form((iADMIN && checkrights("TDB") ? "admin" : "user"), "new");
        }
    }else{
        display_message($locale['themedb_submissions']["disabled_title"], $locale['themedb_submissions']["disabled"]);
    }
}else
    display_message($locale['themedb_submissions']["login_title"], $locale['themedb_submissions']["login"]);
closetable();


require_once THEMES."templates/footer.php";
?>