<?php
if (!defined("IN_FUSION")) die("Access Denied");

#error_reporting(E_ALL);
define("THEME_DB_DIR", INFUSIONS."theme_database/");
include THEME_DB_DIR."infusion_db.php";
require_once INCLUDES."sendmail_include.php";
$themedb_settings = dbarray(dbquery("SELECT * FROM ".THEME_DB_SETTINGS));

//THEME DATABASE


function get_author($id="",$name="",$linked=true){
    if(empty($name) OR is_numeric($name)){
    	if(is_numeric($name) AND empty($id))
    		$id = $name;
        if(empty($id)){
            $author = "???";
        }else{
            $authorresult = dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id=".$id);
            $author_data = dbarray($authorresult);
            if($linked)
                return "<a href='".BASEDIR."profile.php?lookup=".$id."'>".stripslash($author_data["user_name"])."</a>";
            else
                return stripslash($author_data["user_name"]);
        }
    }else{
        return $name;
    }
}

function is_author($id="", $name=""){
	if(!empty($id))
		$authorresult = dbquery("SELECT id FROM ".THEME_DB." WHERE author_id=".$id." LIMIT 1");
	elseif(!empty($name))
		$authorresult = dbquery("SELECT id FROM ".THEME_DB." WHERE author_name=".$name." LIMIT 1");
	else
		return false;
	if(dbrows($authorresult) == 1)
		return true;
	else
		return false;
}

function is_submitter($id="", $name=""){
	if(!empty($id))
		$authorresult = dbquery("SELECT id FROM ".THEME_DB." WHERE submitter_id=".$id." LIMIT 1");
	else
		return false;
	if(dbrows($authorresult) == 1)
		return true;
	else
		return false;
}

function quicknav($site, $cat_id="", $theme_id="", $author=""){
    global $locale, $userdata, $aidlink;
    if($site == "theme"){
        display_message($locale["themedb_quicknav"]["title"], $locale["themedb_quicknav"]["intro"]."
        	<ul>
	            <li><a href='index.php'>".$locale["themedb_quicknav"]["home"]."</a></li>
	            <li><a href='index.php?view=".$cat_id."'>".$locale["themedb_quicknav"]["category"]."</a></li>
	            <li><a href='index.php?view=uncategorized&amp;author=".$author."'>".$locale["themedb_quicknav"]["author"]."</a></li>
	            ".((is_numeric($author) AND !empty($userdata['user_id']) AND $author==$userdata['user_id']) ? "<li><a href='index.php?view=edit&amp;theme_id=".$theme_id."'>".$locale["themedb_quicknav"]["edit"]."</a></li>" : "")."
            </ul>
            ".(iADMIN && checkrights("TDB") ? "Admin Options:<br />\n
            <ul>
	            <li><a href='theme_database_admin.php$aidlink&amp;action=edit_theme&amp;theme_id=".$theme_id."'>".$locale["themedb_quicknav"]["edit"]."</a></li>
	            <li><a href='theme_database_admin.php$aidlink&amp;action=delete_theme&amp;theme_id=".$theme_id."' onclick='return confirm(\"Really Delete?\")'>Delete Theme</a></li>
			</ul>" : ""), "boxed");
    }elseif($site == "cat"){
        display_message($locale["themedb_quicknav"]["title"],$locale["themedb_quicknav"]["intro"]."
            <ul><li><a href='index.php'>".$locale["themedb_quicknav"]["home"]."</a></li></ul>", "boxed");

    }

}


function switch_theme($name, $link, $version){
    global $userdata,$settings;
    if(!empty($name)){
    	if($version == "7.0"){
	        if($name != "back"){
	            if(iGUEST){
	                if(!isset($_COOKIE['v7_themeswitcher']) AND theme_exists($_COOKIE['v7_themeswitcher']) AND $_COOKIE['v7_themeswitcher'] != $_COOKIE['themeswitcher_last_theme'])
	                    setcookie("themeswitcher_last_theme", $_COOKIE['v7_themeswitcher'], time()+3600, "/");
	                setcookie("v7_themeswitcher", $name, time()+3600*7*24, "/");
	            }else{
	                if($_COOKIE['v7_themeswitcher'] != $_COOKIE['themeswitcher_last_theme'])
	                    setcookie("themeswitcher_last_theme", $userdata['user_theme'], time()+3600, "/");
	                dbquery("UPDATE ".DB_PREFIX."users SET user_theme='".$name."' WHERE user_id='".$userdata['user_id']."'");
	            }
	        }else{
	            if(iGUEST){
	                if(!isset($_COOKIE['themeswitcher_last_theme']) AND theme_exists($_COOKIE['themeswitcher_last_theme'])){
	                    setcookie("themeswitcher_last_theme", $_COOKIE['v7_themeswitcher'], time()+3600, "/");
	                    setcookie("v7_themeswitcher", $_COOKIE['themeswitcher_last_theme'], time()+3600*7*24, "/");
	                }else
	                    setcookie("v7_themeswitcher", "", time()-3600*7*24, "/");
	            }else{
	                if(!isset($_COOKIE['themeswitcher_last_theme']) AND theme_exists($_COOKIE['themeswitcher_last_theme'])){
	                    setcookie("themeswitcher_last_theme", $userdata['user_theme'], time()+3600, "/");
	                    dbquery("UPDATE ".DB_PREFIX."users SET user_theme='".$_COOKIE['themeswitcher_last_theme']."' WHERE user_id='".$userdata['user_id']."'");
	                }else
	                    dbquery("UPDATE ".DB_PREFIX."users SET user_theme='".$settings['theme']."' WHERE user_id='".$userdata['user_id']."'");
	            }
	        }
	        redirect($link);
        }else{
			redirect(THEME_DB_DIR."v6/news.php?theme_id=".$_GET['theme_id']."&ts_theme=".$name);
		}
    }else{
        display_message($locale['themedb_error'],$locale['themedb_theme']." ".$locale['themedb_not_found']);
    }
}

function top_themes($cat_id=""){
    global $locale;
    $where = "WHERE approved!=0 AND ";
    if(!empty($cat_id)){
        $cat_result = dbquery("SELECT cat_name, cat_id FROM ".THEME_DB_CATS." WHERE cat_id=".$cat_id);
        $cat_data = dbarray($cat_result);
        if(is_numeric($cat_id))
            $where .= "cat_id = ".$cat_id." AND";
        elseif(is_array($cat_id) AND count($cat_id) == 2)
            $where .= "cat_id >=".min($cat_id[0], $cat_id[1])." AND cat_id <=".max($cat_id[0], $cat_id[1])." AND";
    }
    $where .= " download_count >= 5";
    $result = dbquery("SELECT *,
    avg(".DB_PREFIX."ratings.rating_vote) as avg_rating,
    (((download_count/view_count)+1)*avg(".DB_PREFIX."ratings.rating_vote*2)*(count(".DB_PREFIX."comments.comment_id)+1)) AS popularity
    FROM ".THEME_DB." 
    LEFT JOIN ".DB_PREFIX."ratings ON ".THEME_DB.".id =".DB_PREFIX."ratings.rating_item_id AND ".DB_PREFIX."ratings.rating_type = 'T'
    LEFT JOIN ".DB_PREFIX."comments ON ".THEME_DB.".id =".DB_PREFIX."comments.comment_item_id AND ".DB_PREFIX."comments.comment_type = 'T' ".$where. "
    GROUP BY ".THEME_DB.".id
    ORDER BY popularity DESC LIMIT 0,5");
    if(dbrows($result) >=1){
        echo"<table cellspacing='1' cellpadding='0' width='100%' class='tbl-border' style='margin-top:30px;'>";

        cat_row("",$locale['themedb_top_themes'].(empty($cat_id) ? "" : " ".$locale['themedb_in']." <a href='".FUSION_SELF."?view=".$cat_data["cat_id"]."'>".$cat_data["cat_name"]."</a>"));
        while($theme = dbarray($result)){
            $author = get_author($theme["author_id"],$theme["author_name"]);
            echo "
            <tr>
                <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
                <td class='tbl2'>".$author."</td>
                <td class='tbl2'>".stripinput(stripslash($theme["version"]))."</td>
                <td class='tbl2'>".$theme["fusion_version"]."</td>
                <td class='tbl2'>".showdate("shortdate", $theme["submission_time"])."</td>
                <td class='tbl2'><img src='".THEME_DB_DIR."images/rating/".round_rating($theme["avg_rating"]).".gif' alt='".round_rating($theme["avg_rating"])."/5' title='".round_rating($theme["avg_rating"])."/5' /></td>
                <td class='tbl2'>".$theme["download_count"]."</td>
            </tr>";
        }

        echo"</table>";
    }
}

function stats($cat_id="", $user_id="", $special=""){
    global $locale;
    $where = " WHERE approved!=0";
    if(!empty($cat_id))
        $where .= " AND cat_id=".$cat_id;
	if(!empty($user_id))
		$where .= " AND author_id = ".$user_id;
    $query = "SELECT id FROM ".THEME_DB."".$where;
    $downloads = dbarray(dbquery("SELECT SUM(download_count) as download_count, AVG(download_count) as download_count_avg, SUM(size) as size, SUM(size*download_count) as traffic FROM ".THEME_DB."".$where));
	if(!empty($user_id)){
		$rating_data = dbarray(dbquery("
		SELECT ".THEME_DB.".id, ".THEME_DB.".author_id, AVG( ".DB_PREFIX."ratings.rating_vote ) AS avg_rating
		FROM ".THEME_DB."
		JOIN ".DB_PREFIX."ratings ON ".THEME_DB.".id = ".DB_PREFIX."ratings.rating_item_id
		WHERE author_id = $user_id
		GROUP BY author_id"));
		$rating_avg = $rating_data['avg_rating'];
	}
    $download_count = $downloads["download_count"];
    $download_count_avg = round($downloads["download_count_avg"], 1);
    $theme_size = $downloads["size"];
    $traffic = $downloads["traffic"];
    $theme_count = dbrows(dbquery($query));
    $cat_count = dbrows(dbquery("SELECT * FROM ".THEME_DB_CATS.""));
    //Sveinung's admin count mod:
    if(iSUPERADMIN){
    $v_seven_count = dbrows(dbquery("SELECT * FROM ".THEME_DB." WHERE fusion_version=7.0 AND approved='1'"));
    $v_six_count = dbrows(dbquery("SELECT * FROM ".THEME_DB." WHERE fusion_version<7.0 AND approved='1'"));
    }
    // Korcsii's mod start
	if ($theme_count > 0) {
	// Korcsii's mod end
    echo "<table cellspacing='1' cellpadding='0' width='100%' class='tbl-border' ".($special == "nospace" ? "" :"style='margin-top:30px;'").">
    <tr>
        <td class='forum-caption' colspan='2'>".$locale['themedb_stats']." ".(is_numeric($user_id) ? $locale['themedb_for']." ".get_author($user_id) : "")."</td>
    </tr>
    <tr>
        <td class='tbl2' style='font-weight: bold;width:150px;'>".$locale['themedb_stats_theme_count'].":</td>
        <td class='tbl2'>".$theme_count.(empty($cat_id) ? " ".$locale['themedb_in']." ".$cat_count." ".$locale['themedb_categories']." (".round($theme_count/$cat_count, 1)." ".$locale['themedb_themes']."/".$locale['themedb_category'].")" : "")."</td>
    </tr>".(!empty($user_id) ? "
	<tr>
		<td class='tbl2' style='font-weight: bold;width:150px;'>Average Rating</td>
		<td class='tbl2'><img src='".THEME_DB_DIR."images/rating/".round_rating($rating_avg).".gif' alt='".round_rating($rating_avg)."/5' title='".round_rating($rating_avg)."/5' /></td>
	</tr>" :"")."
    <tr>
        <td class='tbl2' style='font-weight: bold;width:150px;'>".$locale['themedb_stats_dl_count'].":</td>
        <td class='tbl2'>".$locale['themedb_total'].": ".$download_count." ".$locale['themedb_average'].": ".$download_count_avg."</td>
    </tr>
    <tr>
        <td class='tbl2' style='font-weight: bold;width:150px;'>".$locale['themedb_stats_dl_size'].":</td>
        <td class='tbl2'>".parsebytesize($theme_size)."</td>
    </tr>
    <tr>
        <td class='tbl2' style='font-weight: bold;width:150px;'>".$locale['themedb_stats_traffic'].":</td>
        <td class='tbl2'>".parsebytesize($traffic)."</td>
    </tr>";
    if (iSUPERADMIN) { echo "
    <tr>
        <td class='tbl2' style='font-weight: bold;width:150px;'>(Admin) v6 and v7:</td>
        <td class='tbl2'>v7 themes: <b>".$v_seven_count."</b> || v6 themes: <b>".$v_six_count."</b></td>
    </tr>";
    } echo "    
	</table>";
	// Korcsii's mod start
	}
	// Korcsii's mod end
}


function select_cats($id="", $order="", $order_way=""){
    $where = !empty($id)? "WHERE cat_id =".$id : "";
    $order = !empty($order)? " ORDER BY ".$order.(!empty($order_way)? " ".$order_way : "") : "";
    $result = dbquery("SELECT * FROM ".THEME_DB_CATS." ".$where.$order);
    return $result;
}

function get_cat_ids(){
    $cat_ids = array();
    $result =dbquery("SELECT cat_id FROM ".THEME_DB_CATS."");
    while($cat_data = dbarray($result))
        array_push($cat_ids, $cat_data["cat_id"]);
    return $cat_ids;

}

function open_cat_table() {
    global $locale;
    echo "<br />
    <table cellspacing='1' cellpadding='0' width='100%' class='tbl-border' style='margin-bottom:10px;'>
    ";
}

function close_cat_table() {

    echo "
    </table>";
}

function no_themes(){
    global $locale;
    echo"
    <tr>
        <td rowspan='7' class='tbl2'>".$locale['themedb_no_themes']."</td>
    </tr>";
}


function display_options($level=""){
    global $locale, $themedb_settings;
    $view = !empty($_GET['view']) ? $_GET['view'] : "";
    $_GET['author'] = isset($_GET['author']) ? $_GET['author'] : "";
    $_GET['fusion'] = isset($_GET['fusion']) ? $_GET['fusion'] : "";
    $_GET['theme_order'] = isset($_GET['theme_order']) ? $_GET['theme_order'] : "";
    $_GET['theme_order_way'] = isset($_GET['theme_orderway']) ? $_GET['theme_order_way'] : "";
    $_GET["advanced"] = isset($_GET["advanced"]) ? $_GET["advanced"] : "";
    $_GET["rowstart"] = isset($_GET["rowstart"]) ? $_GET["rowstart"] : 0;
   // Search by validity causes trouble - hence I removed these options from advanced options (for now) - Sveinung
   // $_GET['valid_html'] = isset($_GET['valid_html']) ? $_GET['valid_html'] : "0";
   // $_GET['valid_css'] = isset($_GET['valid_css']) ? $_GET['valid_css'] : "0";
    $search_in = (!empty($_GET['search_in']) AND in_array($_GET['search_in'], array("n", "d", "dn"))) ? $_GET['search_in'] : "dn";
    $search = !empty($_GET['search']) ? descript($_GET['search']) : "";
    $order_way = (!empty($_GET['theme_order_way']) AND in_array(strtolower($_GET['theme_order_way']), array("desc", "asc"))) ? $_GET['theme_order_way'] : "asc";
  echo"
    <script type='text/javascript'>
        function submit_themedb(form_name){
            eval(\"document.\"+form_name+\".submit()\");
        }
    </script>
    <form name='display_options' action='".FUSION_SELF."' method='get' style='display:inline;'>";
    echo"
        <div style='text-align:right; float:right; width:49%'>
        <fieldset>
        <legend>".$locale['themedb_display']."</legend>
        <label>".$locale['themedb_category'].":</label>
        <select name='view' class='textbox' style='width: 149px' onchange='submit_themedb(\"display_options\")'>
            <option value='categorized' ".($view == "categorized" ? "selected='selected'" : "").">".$locale['themedb_display_all_cats']."</option>
            <option value='uncategorized' ".($view == "uncategorized" ? "selected='selected'" : "").">".$locale['themedb_display_all_nocats']."</option>
            <option value='slideshow' ".($view == "slideshow" ? "selected='selected'" : "").">".$locale['themedb_display_all_slide']."</option>\n";
            $cat_result = select_cats();
            while($cat_data = dbarray($cat_result))
                echo "<option value='".$cat_data['cat_id']."' ".($view == $cat_data['cat_id'] ? "selected='selected'" : "").">".$cat_data['cat_name']."</option>\n";
        echo"
        </select><br />
        <label>".$locale['themedb_display_fusion'].":</label>
        <select name='fusion' class='textbox' style='width: 149px; margin-top: 3px;' onchange='submit_themedb(\"display_options\")'>";
            $versions = explode("|", $themedb_settings["fusion_versions"]);
	    echo "<option value='all'>All</option>";
            foreach($versions as $version)
                echo "<option value='".$version."' ".($_GET['fusion'] == $version ? "selected='selected'" : "").">".$version."</option>";
        echo "</select><br />
        <label>Order by:</label>
        <select name='theme_order' class='textbox' style='width: 65px; margin-top: 3px;' onchange='submit_themedb(\"display_options\")'>
            <option value='alphabet' ".($_GET['theme_order'] == "alphabet" ? "selected='selected'" : "").">".$locale['themedb_orderby'][0]."</option>
            <option value='time' ".($_GET['theme_order'] == "time" ? "selected='selected'" : "").">".$locale['themedb_orderby'][2]."</option>
            <option value='change_time' ".($_GET['theme_order'] == "change_time" ? "selected='selected'" : "").">".$locale['themedb_orderby'][9]."</option>
            <option value='rating' ".($_GET['theme_order'] == "rating" ? "selected='selected'" : "").">".$locale['themedb_orderby'][3]."</option>
            <option value='comments' ".($_GET['theme_order'] == "comments" ? "selected='selected'" : "").">".$locale['themedb_orderby'][4]."</option>
            <option value='views' ".($_GET['theme_order'] == "views" ? "selected='selected'" : "").">".$locale['themedb_orderby'][5]."</option>
            <option value='downloads' ".($_GET['theme_order'] == "downloads" ? "selected='selected'" : "").">".$locale['themedb_orderby'][6]."</option>
            <option value='version' ".($_GET['theme_order'] == "version" ? "selected='selected'" : "").">".$locale['themedb_orderby'][7]."</option>
            <option value='php-fusion' ".($_GET['theme_order'] == "php-fusion" ? "selected='selected'" : "").">".$locale['themedb_orderby'][8]."</option>
        </select>
        <select name='theme_order_way' class='textbox' style='margin-top:3px;width: 80px;' onchange='submit_themedb(\"display_options\")'>
            <option value='asc' ".($order_way == "asc" ? "selected='selected'" : "").">".$locale['themedb_order_way'][0]."</option>
            <option value='desc' ".($_GET['theme_order_way'] == "desc" ? "selected='selected'" : "").">".$locale['themedb_order_way'][1]."</option>
        </select><br />
        ".(is_numeric($_GET["rowstart"]) ? "<input type='hidden' name='rowstart' value='".$_GET["rowstart"]."' />" : "")."
        <input type='hidden' name='advanced' value='".(empty($_GET["advanced"]) ? 0 : 1)."' />
        \n";
            if(!empty($_GET["advanced"])){
                if(stristr(FUSION_REQUEST, "?advanced")){
                    $link = str_replace("&","&amp;",preg_replace("#\?advanced=\d*&#i", "?", FUSION_REQUEST));
                    $link = str_replace("&","&amp;",preg_replace("#\?advanced=\d*#i", "", $link));
                }else{
                    $link = str_replace("&","&amp;",preg_replace("#&advanced=\d*#i", "", FUSION_REQUEST));
                }
            }else{
                if(stristr(FUSION_REQUEST, "?"))
                    $link = str_replace("&","&amp;",FUSION_REQUEST."&advanced=1");
                else
                    $link = str_replace("&","&amp;",FUSION_REQUEST."?advanced=1");
            }
            echo "<a href='".$link."'>".$locale['themedb_toggle']." ".$locale['themedb_display_advanced']."</a>\n";
    echo"
    <input class='button' name='submit_display_options' type='submit' value='Display!' />
    <script type='text/javascript'>
        document.getElementsByName(\"submit_display_options\")[0].style.display = \"none\";
    </script>
    </fieldset>
    </div>";
    if(!empty($_GET["advanced"]) AND $_GET["advanced"] == 1){
            echo "
                <div style='text-align:right; float:right; width:49%'>
                    <fieldset>
                    <legend>".$locale['themedb_display_advanced']."</legend>
                    <label for='search' style='float:left;vertical-align:middle;'>".$locale['themedb_search']." ".$locale['themedb_for'].":</label>
                    <input type='text' name='search' class='textbox' style='width:149px;vertical-align:middle;' value='".$search."' />
                    <br style='clear:both;' />
                    <label for='search_in' style='float:left;vertical-align:middle;'>".$locale['themedb_search']." ".$locale['themedb_in'].":</label>
                    <input type='radio' name='search_in' value='n' style='vertical-align:top;' ".($search_in == "n" ? "checked" : "")." onchange='submit_themedb(\"display_options\")' /> ".$locale['themedb_theme_name']."
                    <input type='radio' name='search_in' value='d' style='vertical-align:top;' ".($search_in == "d" ? "checked" : "")." onchange='submit_themedb(\"display_options\")' /> ".$locale['themedb_desc_short']."
                    <input type='radio' name='search_in' value='dn' style='vertical-align:top;' ".($search_in == "dn" ? "checked" : "")." onchange='submit_themedb(\"display_options\")' /> ".$locale['themedb_both']."<br />
                    <label for='author' style='float:left;vertical-align:middle;'>".$locale['themedb_author'].":</label>
                    <select name='author' class='textbox' style='width: 149px;' onchange='submit_themedb(\"display_options\")'>
                        <option>all</option>";
                    $author_result = dbquery("SELECT author_id, author_name FROM ".THEME_DB." GROUP BY author_id, author_name");
                    while($author_data = dbarray($author_result)){
                        $author_value = !empty($author_data['author_id']) ? $author_data['author_id'] : $author_data['author_name'];
                        echo "<option value='".$author_value."' ".($_GET['author'] == $author_value ? "selected='selected'" : "").">".get_author($author_data['author_id'],$author_data['author_name'], false)."</option>\n";
                        }
                    echo "</select>
                    <br /><br style='clear:both;' />"; // <= Mod by Sveinung =>
                    /* <label style='float:left;vertical-align:middle;'>".$locale['themedb_validity'].":</label>
                    <input style='vertical-align:middle;' type='checkbox' name='valid_html' value='1' onchange='submit_themedb(\"display_options\")' ".($_GET['valid_html'] == 1 ? "checked" : "")." />
                    HTML
                    <input style='vertical-align:middle;' type='checkbox' name='valid_css' value='1' onchange='submit_themedb(\"display_options\")' ".($_GET['valid_css'] == 1 ? "checked" : "")." />
                    CSS */
                    echo "
                    </fieldset>
                </div>
";
    }
    echo"
    </form>
    <br style='clear:both;' />";
}


function round_rating($rating){
    if($rating == NULL)
        return 0;

    $rating_round = ceil($rating);
    if($rating < $rating_round)
        return $rating_round-0.5;
    else
        return $rating_round;
}

function select_themes($cat_id="", $special="", $info=""){
    global $locale, $theme_rowstart, $theme_items_per_page, $themedb_settings;
    $query = "";
    $author = isset($_GET['author']) ? stripinput($_GET['author']) : "";
    if($special == "author")
	$author = !empty($info) ? $info : $author;
    elseif($special == "submitter")
	$submitter = is_numeric($info) ? $info : 0;
    //WHERE
    if($special == "unapproved")
        $where = iADMIN  ? "WHERE approved=0" : "WHERE approved=1 ";
    else
        $where = "WHERE approved=1";
    if(is_numeric($cat_id))
        $where .= (empty($where)? " WHERE " : " AND ")." fusion_themedb.cat_id = $cat_id ";
    if(!empty($author)){
        if(is_numeric($author)){
            $where .= (empty($where) ? " WHERE " : " AND "). "author_id = ".$author;
        }elseif(is_string($author) AND $author != "all"){
            $where .= (empty($where) ? " WHERE " : " AND "). "author_name = '".addslash($author)."'";
        }
    }
    if(isset($submitter) && !empty($submitter))
        $where .= (empty($where) ? " WHERE " : " AND "). "submitter_id = ".$submitter;
    if(isset($_GET["valid_css"]) AND in_array($_GET["valid_css"], array(1,0)))
        $where .= (empty($where)? " WHERE " : " AND "). "valid_css = ".$_GET["valid_css"];
    if(isset($_GET["valid_html"]) AND in_array($_GET["valid_html"], array(1,0)))
        $where .= (empty($where)? " WHERE " : " AND "). "valid_css = ".$_GET["valid_html"];
    if(isset($_GET['fusion']) && in_array($_GET['fusion'], explode("|", $themedb_settings["fusion_versions"]))){
	$where .= (empty($where)? " WHERE " : " AND "). "fusion_version = '".$_GET["fusion"]."'";
    }
    if(!empty($_GET["search_in"]) AND !empty($_GET["search"]) AND in_array($_GET["search_in"], array("d","n", "dn"))){
        if($_GET["search_in"] == "n")
            $where .= (empty($where)? " WHERE " : " AND "). "name LIKE '%".addslash($_GET["search"])."%'";
        elseif($_GET["search_in"] == "d")
            $where .= (empty($where)? " WHERE " : " AND "). "`desc` LIKE '%".addslash($_GET["search"])."%'";
        elseif($_GET["search_in"] == "dn")
            $where .= (empty($where)? " WHERE " : " AND "). "`desc` LIKE '%".addslash($_GET["search"])."%' OR name LIKE '%".addslash($_GET["search"])."%'";
    }
    //WHERE END
    
    //GROUP
    $groupby = " GROUP BY ".THEME_DB.".id";
    //GROUP END

    //LIMIT
    if(is_array($info) && isset($info['limit'])){
    	$limit = " LIMIT ".$info['limit'];
    }elseif(isset($theme_rowstart) AND isset($theme_items_per_page)){
    	$limit = " LIMIT ".$theme_rowstart.",".$theme_items_per_page;
    }else{
	$limit = "";
    }
    //LIMIT END
    
    //ORDER
    $order_methods = array("time", "change_time",  "rating", "comments", "views", "version", "php-fusion", "downloads", "alphabet");
    $order = (!empty($_GET['theme_order']) AND in_array($_GET['theme_order'], $order_methods)) ? $_GET['theme_order'] : "alphabet";
    $order_way = (!empty($_GET['theme_order']) AND strtolower($_GET["theme_order_way"]) == "desc") ? " DESC" : " ASC";
    
    $orderby = (!empty($_GET["view"]) AND ($_GET["view"] == "uncategorized" || $_GET["view"] == "slideshow")) ? " ORDER BY " : " ORDER BY cat_id,";
	
		
    switch($order){
        case "time":
            $orderby .= "submission_time";
        break 1;
        case "change_time":
            $orderby .= "last_change_time";
        break 1;
        case "alphabet":
            $orderby .= "name";
        break 1;
        case "rating":
            $orderby .= "avg_rating";
        break 1;
        case "views":
            $orderby .= "view_count";
        break 1;
        case "downloads":
            $orderby .= "download_count";
        break 1;
        case "php-fusion":
            $orderby .= "fusion_version";
        break 1;
        case "version":
            $orderby .= "version";
        break 1;
        case "comments":
            $query = "
            SELECT 
				SQL_CALC_FOUND_ROWS count(".DB_PREFIX."comments.comment_item_id) as comment_count, 
				avg(".DB_PREFIX."ratings.rating_vote) as avg_rating, ".THEME_DB.".*,
				".THEME_DB.".cat_id,
				".THEME_DB_CATS.".cat_name
            FROM ".THEME_DB."
			LEFT JOIN ".DB_PREFIX."comments ON ".THEME_DB.".id = ".DB_PREFIX."comments.comment_item_id AND ".DB_PREFIX."comments.comment_type = 'T'
			LEFT JOIN ".DB_PREFIX."ratings ON ".THEME_DB.".id =".DB_PREFIX."ratings.rating_item_id
			LEFT JOIN ".THEME_DB_CATS." ON ".THEME_DB.".cat_id = ".THEME_DB_CATS.".cat_id
            ".$where."
            GROUP BY ".THEME_DB.".id  ".$orderby." comment_count".$order_way.$limit;
        break 1;
    }
    
    if($special == "random"){
		$orderby = "ORDER BY RAND() ";
	}
    //ORDER END
    
    
    if($query == "")
        $query = "SELECT 
			SQL_CALC_FOUND_ROWS avg(".DB_PREFIX."ratings.rating_vote) as avg_rating,
			".THEME_DB.".*,
			".THEME_DB.".cat_id,
			".THEME_DB_CATS.".cat_name
		FROM ".THEME_DB."
		LEFT JOIN ".DB_PREFIX."ratings ON ".THEME_DB.".id =".DB_PREFIX."ratings.rating_item_id AND ".DB_PREFIX."ratings.rating_type = 'T'
		LEFT JOIN ".THEME_DB_CATS." ON ".THEME_DB.".cat_id = ".THEME_DB_CATS.".cat_id
        ".$where."
		".$groupby."
		".$orderby."
		".$order_way."
		".$limit;
    return dbquery($query);
}

function cat_row($cat_id="", $cat_name="", $mode=""){
    global $locale;
    $view = !empty($_GET["view"]) ? $_GET["view"] : "";
    if($view == "uncategorized" AND empty($cat_id) AND empty($cat_name)){
        $cat_name = $locale["themedb_uncategorized"];
        $cat_desc = $locale["themedb_uncategorized_desc"];
    }else{
        if(empty($cat_name)){
            if(!empty($cat_id)){
                $category_data = dbarray(dbquery("SELECT cat_id, cat_name, cat_desc FROM ".THEME_DB_CATS." WHERE cat_parent=0 AND cat_id=".$cat_id));
                $cat_name = "<a href='".FUSION_SELF."?view=".$category_data["cat_id"]."'>".stripslash($category_data["cat_name"])."</a>";
                $cat_desc = stripslash($category_data["cat_desc"]);
            }else
                display_message($locale['themedb_msg_error'], $locale['themedb_overview']['no_cat_id']);
        }else{
            if(stristr($cat_name,$locale['themedb_top_themes']))
                $cat_desc = $locale['themedb_top_themes_desc'];
            elseif($cat_name == $locale['themedb_slideshow'])
                $cat_desc = $locale['themedb_slideshow_desc'];
        }
    }
    if($mode == "lite"){
        echo "
        <tr>
            <th colspan='5' class='forum-caption' style='text-align:left;'>$cat_name</th>
        </tr>
        <tr>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column1']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column2']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column3']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column4']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column5']."</th>
        </tr>";
    }elseif($mode == "admin"){
        echo "
        <tr>
            <th colspan='6' class='forum-caption' style='text-align:left;'>$cat_name</th>
        </tr>
        <tr>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column1']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column2']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column3']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column4']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column5']."</th>
            <th class='tbl2' style='font-weight: bold;'>Action</th>
        </tr>";
    }elseif($mode == "slideshow"){
        echo "
        <tr>
            <th colspan='2' class='forum-caption' style='text-align:left;'>$cat_name</th>
        </tr>
        <tr>
            <td class='tbl2' colspan='7'><b>".$locale['themedb_desc']."</b>: ".$cat_desc."</td>
        </tr>
        <tr>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_screenshot']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_info']."</th>
        </tr>";
	}elseif($mode == "userstats"){
        echo "
        <tr>
            <th colspan='6' class='forum-caption' style='text-align:left;'>$cat_name</th>
        </tr>
        <tr>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column1']."</th>
			<th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column5']."</th>
			<th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column6']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column7']."</th>
        </tr>";
    }else{
        echo "
        <tr>
            <th colspan='7' class='forum-caption' style='text-align:left;'>$cat_name</th>
        </tr>
        <tr>
            <td class='tbl2' colspan='7'><b>".$locale['themedb_desc']."</b>: ".$cat_desc."</td>
        </tr>
        <tr>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column1']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column2']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column3']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column4']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column5']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column6']."</th>
            <th class='tbl2' style='font-weight: bold;'>".$locale['themedb_cat_column7']."</th>
        </tr>";
    }
}

function theme_row($theme,$mode=""){
    global $locale;
    $author = get_author($theme["author_id"],$theme["author_name"]);
    if($mode == "lite"){
        echo "
        <tr>
            <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
            <td class='tbl2'>".$author."</td>
            <td class='tbl2'>".stripinput(stripslash($theme["version"]))."</td>
            <td class='tbl2'>".$theme["fusion_version"]."</td>
            <td class='tbl2'>".showdate("shortdate", $theme["submission_time"])."</td>
        </tr>";
    }elseif($mode == "slideshow"){
        echo "
        <tr>
        <td class='tbl1' colspan='2' style='text-align:center;font-weight:bold;'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
        </tr>
        <tr>
            <td class='tbl2' rowspan='6' style='text-align:right;width:40%;'><img src='".THEME_DB_DIR."screenshots/".$theme['cat_id']."/".rawurlencode(stripinput(stripslash($theme["name"]))."[".$theme['id']."]t.".$theme['screenshot_ext'])."' alt='' /></td>
            <td class='tbl2'><b>".$locale['themedb_author']."</b>: ".$author."</td>
        </tr>
        <tr>
            <td class='tbl2'><b>".$locale['themedb_version']."</b>: ".stripinput(stripslash($theme["version"]))."</td>
        </tr>
        <tr>
            <td class='tbl2'><b>".$locale['themedb_submission_date']."</b>: ".showdate("shortdate", $theme["submission_time"])."</td>
        </tr>
        <tr>
            <td class='tbl2'><b>".$locale['themedb_rating']."</b>: <img src='".THEME_DB_DIR."images/rating/".round_rating($theme["avg_rating"]).".gif' alt='".round_rating($theme["avg_rating"])."/5' title='".round_rating($theme["avg_rating"])."/5' /></td>
        </tr>
        <tr>
            <td class='tbl2'><b>".$locale['themedb_dls']."</b>: ".$theme["download_count"]."</td>
        </tr>
        <tr>
            <td class='tbl2'><b>".$locale['themedb_fusion']."</b>: ".$theme["fusion_version"]."</td>
        </tr>";
    }elseif($mode == "admin"){
    	global $aidlink;
        echo "
        <tr>
            <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
            <td class='tbl2'>".$author."</td>
            <td class='tbl2'>".stripinput(stripslash($theme["version"]))."</td>
            <td class='tbl2'>".$theme["fusion_version"]."</td>
            <td class='tbl2'>".showdate("shortdate", $theme["submission_time"])."</td>
            <td class='tbl2' style='text-align:center;'>
                <a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>View</a> |
                <a href='".FUSION_SELF.$aidlink."&action=edit_theme&amp;theme_id=".$theme["id"]."'>Edit</a> |
                <a href='".FUSION_SELF.$aidlink."&action=delete_theme&amp;theme_id=".$theme["id"]."'>Delete</a> |
                <a href='".FUSION_SELF.$aidlink."&action=approve_theme&amp;theme_id=".$theme["id"]."'
                    onclick='return confirm(\"Really Approve? The Theme must be tested locally before. Also, please make sure you uploaded the Theme folder and set the right folder via Edit.\")'>Approve</a> |
                <a href='".FUSION_SELF.$aidlink."&action=reject_theme&amp;theme_id=".$theme["id"]."'>Reject</a>
            </td>
        </tr>";
	}elseif($mode == "userstats"){
		echo "
        <tr>
            <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
			<td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=".$theme["cat_id"]."'>".$theme["cat_name"]."</a></td>
            <td class='tbl2'>".showdate("shortdate", $theme["submission_time"])."</td>
            <td class='tbl2'><img src='".THEME_DB_DIR."images/rating/".round_rating($theme["avg_rating"]).".gif' alt='".round_rating($theme["avg_rating"])."/5' title='".round_rating($theme["avg_rating"])."/5' /></td>
            <td class='tbl2'>".$theme["download_count"]."</td>
        </tr>";
    }else{
        echo "
        <tr>
            <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=theme&amp;theme_id=".$theme["id"]."'>".stripinput(stripslash($theme["name"]))."</a></td>
            <td class='tbl2'>".$author."</td>
            <td class='tbl2'>".stripinput(stripslash($theme["version"]))."</td>
            <td class='tbl2'>".$theme["fusion_version"]."</td>
            <td class='tbl2'>".showdate("shortdate", $theme["submission_time"])."</td>
            <td class='tbl2'><img src='".THEME_DB_DIR."images/rating/".round_rating($theme["avg_rating"]).".gif' alt='".round_rating($theme["avg_rating"])."/5' title='".round_rating($theme["avg_rating"])."/5' /></td>
            <td class='tbl2'>".$theme["download_count"]."</td>
        </tr>";
    }
}

function show_theme($theme){
    global $locale,$userdata;
    opentable($locale['themedb_name'].": ". $theme["name"]);
    if(!empty($theme) AND($theme['approved'] != 0 OR iADMIN)){
        dbquery("UPDATE ".THEME_DB." SET view_count=view_count+1 WHERE id=".$theme["id"]);
        $id = $theme["id"];
        $name = stripinput(stripslash($theme["name"]));
        $theme_folder = $theme["theme_folder"];
		    $fusion_version = $theme["fusion_version"];
        if(isset($_GET['switch']) AND $_GET['switch'] == "true")
            switch_theme($theme_folder, FUSION_SELF."?view=theme&theme_id=".$theme['id'], $fusion_version);
        elseif(isset($_GET['switch']) AND $_GET['switch'] == "back")
            switch_theme("back", FUSION_SELF."?view=theme&theme_id=".$theme['id'], $fusion_version);
        $author = get_author($theme["author_id"], $theme["author_name"]);
        if(!empty($theme["author_id"])){
            $author_data = dbarray(dbquery("SELECT user_web,user_email,user_hide_email FROM ".DB_PREFIX."users WHERE user_id=".$theme["author_id"]));
            $author_web =  !empty($author_data['user_web']) ? ((!stristr($author_data['user_web'], "http://") ? "http://" : "").$author_data['user_web']) : "";
            $author_mail =  $author_data['user_email'];
        }else{
            //$author_web = stripinput(stripslash($theme["author_web"]));
            $author_web =  !empty($theme["author_web"]) ? ((!stristr($theme["author_web"], "http://") ? "http://" : "").$theme["author_web"]) : "";
            $author_mail = stripinput(stripslash($theme["author_mail"]));
        }
        $cat_id = $theme["cat_id"];
        $cat_name_data = dbarray(dbquery("SELECT cat_name from ".THEME_DB_CATS." WHERE cat_id=".$cat_id));
        $cat_name = stripslash($cat_name_data["cat_name"]);
        $dload_url = THEME_DB_DIR."downloads/".$cat_id."/".$name."[".$id."].zip";
        if(!empty($_GET['download']) AND $_GET['download'] == "true"){
            dbquery("UPDATE ".THEME_DB." SET download_count=download_count+1 WHERE id=".$theme["id"]);
            redirect($dload_url);
        }
        $screenshot_ext = $theme["screenshot_ext"];
        $screenshot_url = THEME_DB_DIR."screenshots/".$cat_id."/".rawurlencode($name."[".$id."].".$screenshot_ext);
        $screenshot_info = getimagesize(THEME_DB_DIR."screenshots/".$cat_id."/".$name."[".$id."].".$screenshot_ext);
        $screenshot_w = $screenshot_info[0];
        $screenshot_h = $screenshot_info[1];
        $thumb_url = THEME_DB_DIR."screenshots/".$cat_id."/".rawurlencode($name."[".$id."]t.".$screenshot_ext);
        $submission_date = $theme["submission_time"];
        $last_change = $theme["last_change_time"];
        $version = stripinput(stripslash($theme["version"]));
        $description = nl2br(parseubb(stripinput(stripslash($theme["desc"]))));
        $copyright = nl2br(parseubb(stripinput(stripslash($theme["copyright"]))));
        $graphic_amnt = $locale["themedb_graphic_amnt_value"][$theme["graphic_amnt"]];
        $main_color = stripinput(stripslash($theme["color"]));
        $brightness = $locale["themedb_brightness_value"][$theme["brightness"]];
        $width = $theme["width"];
        $width_type = $locale["themedb_width_value"][$theme["width_type"]];
        // Switch image xhtml / html:
        if($fusion_version == "7.0"){
        $valid_html = $theme["valid_html"] == 1 ? "<img src='".THEME_DB_DIR."images/w3c/valid-xhtml.png' style='vertical-align:middle;' alt='valid html' />" : $locale["themedb_invalid_html"];
        } else {
        $valid_html = $theme["valid_html"] == 1 ? "<img src='".THEME_DB_DIR."images/w3c/valid-html.png' style='vertical-align:middle;' alt='valid html' />" : $locale["themedb_invalid_html"];
        }
        
        $valid_css = $theme["valid_css"] == 1 ? "<img src='".THEME_DB_DIR."images/w3c/valid-css.png' style='vertical-align:middle;' alt='valid css' />" : $locale["themedb_invalid_css"];
        $blanks = ($theme["blank_logo"] == 1 ? $locale["themedb_blank_logo"] : "")." ".($theme["blank_button"] == 1 ? $locale["themedb_blank_button"] : "");
        $blanks = $blanks == " " ? $locale['themedb_no_blanks'] : $blanks;
        $views = $theme["view_count"];
        $downloads = $theme["download_count"];
        $num_users_data = dbarray(dbquery("SELECT count(".DB_PREFIX."users.user_id) AS num_users FROM ".DB_PREFIX."users WHERE user_theme='".$theme_folder."'"));
        $num_users = $num_users_data['num_users'];
        
		add_to_head("<script type='text/javascript' src='".INCLUDES."jscripts/jquery/fancybox/jquery.fancybox.js'></script>
<link rel='stylesheet' href='".INCLUDES."jscripts/jquery/fancybox/fancy.css' type='text/css' media='screen' />
<script type='text/javascript'>$(document).ready(function() { $(\"a.fancybox\").fancybox({'overlayShow': true })});; </script>");
		
		echo "\t\t<table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto;'>
            <tr>
                <td rowspan='7' class='tbl2' style='width:200px;'><a class='fancybox' href='$screenshot_url' title='".$name." by ".strip_tags($author)."'><img src='".$thumb_url."' alt='".$name." ".$locale['themedb_screenshot']."' style='border:0;' /></a></td>
                <td class='tbl2' style='font-weight:bold; width:100px;'>".$locale["themedb_theme_name"].":</td>
                <td class='tbl2'>".$name."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_cat"].":</td>
                <td class='tbl2'><a href='".THEME_DB_DIR."index.php?view=".$cat_id."'>".$cat_name."</a></td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_author"].":</td>";
                if(!empty($theme["author_id"])){
          echo "<td class='tbl2'>".$author." ".(!empty($author_web) ? "[<a href='".$author_web."' target='_blank'>".$locale["themedb_author_web"]."</a>]" : "").(($author_data['user_hide_email'] == 0 OR iADMIN) ? "[".hide_email($author_mail, $locale["themedb_author_mail"])."]" : "")."</td>";
               } else {
          echo "<td class='tbl2'>".$author." ".(!empty($author_web) ? "[<a href='".$author_web."' target='_blank'>".$locale["themedb_author_web"]."</a>]" : "").(!empty($author_mail) ? "[".hide_email($author_mail, $locale["themedb_author_mail"])."]" : "")."</td>";
               }
      echo "</tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_dl"].":</td>
                <td class='tbl2'><a href='".FUSION_SELF."?view=theme&amp;theme_id=".$theme['id']."&amp;download=true'>".$locale['themedb_dl']."</a></td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_version"].":</td>
                <td class='tbl2'>".$version."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_fusion"].":</td>
                <td class='tbl2'>".$fusion_version."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_last_change"].":</td>
                <td class='tbl2'>".showdate("shortdate",$last_change)."</td>
            </tr>
            <tr>
                <td class='tbl2' style='text-align:center;'>";
                if($fusion_version == "7.0"){
		    if(!empty($theme_folder) AND simple_theme_exists($theme_folder)){
			if((iGUEST && (!isset($_COOKIE['v7_themeswitcher']) || $_COOKIE['v7_themeswitcher'] != $theme_folder)) || (iMEMBER AND $userdata['user_theme'] != $theme_folder)){
			    echo "<a href='".FUSION_SELF."?view=theme&amp;theme_id=".$theme['id']."&amp;switch=true' style='font-weight:bold;'>".$locale['themedb_switch_theme']."</a>";
			}else
			    echo "<a href='".FUSION_SELF."?view=theme&amp;theme_id=".$theme['id']."&amp;switch=back' style='font-weight:bold;'>".$locale['themedb_switch_theme_back']."</a>";
		    }else
			echo $locale['themedb_switch_no_folder'];
		}else{
		    echo "No preview of v6 Themes";
		}
                echo" </td>
                <td class='tbl2' style='font-weight:bold;'>".$locale["themedb_submission_date"].":</td>
                <td class='tbl2'>".showdate("shortdate",$submission_date)."</td>
            </tr>
        </table>
        
        
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
        	<tr>
                <td class='forum-caption'>".$locale['themedb_awards']."</td>
            </tr>
            <tr>
                <td class='tbl2'>".show_awards($theme)."</td>
            </tr>
        </table>
        
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
            <tr>
                <td class='forum-caption'>".$locale["themedb_desc"]."</td>
            </tr>
            <tr>
                <td class='tbl2'>$description</td>
            </tr>
        </table>
        
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
            <tr>
                <td class='forum-caption'>".$locale["themedb_copyright"]."</td>
            </tr>
            <tr>
                <td class='tbl2'>$copyright</td>
            </tr>
        </table>
        
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
            <tr>
                <td colspan='2' class='forum-caption'>".$locale["themedb_features"]."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;width:150px;'>".$locale["themedb_validity"].":</td>
                <td class='tbl2'>".$valid_html." ".$valid_css."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale['themedb_graphic_amnt'].":</td>
                <td class='tbl2'>".$graphic_amnt."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale['themedb_main_color'].":</td>
                <td class='tbl2'>".$main_color."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale['themedb_brightness'].":</td>
                <td class='tbl2'>".$brightness."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale['themedb_width'].":</td>
                <td class='tbl2'>".$width.($width > 100? "px" : "%").", ".$width_type."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;'>".$locale['themedb_blanks'].":</td>
                <td class='tbl2'>".$blanks."</td>
            </tr>
        </table>
        
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
            <tr>
                <td colspan='2' class='forum-caption'>".$locale['themedb_stats']."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;width:150px;'>".$locale['themedb_num_users']."</td>
                <td class='tbl2'>".$num_users." ".$locale['themedb_num_users_text']."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;width:150px;'>".$locale['themedb_views']."</td>
                <td class='tbl2'>".$views."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;width:150px;'>".$locale['themedb_dls']."</td>
                <td class='tbl2'>".$downloads."</td>
            </tr>
            <tr>
                <td class='tbl2' style='font-weight:bold;width:150px;'>".$locale['themedb_dlperview']."</td>
                <td class='tbl2'>";
                if($downloads > 0 AND $views > 0){
                bcscale(3);
                echo
                bcdiv($downloads,$views).$locale['themedb_dlperview_value'][0].bcdiv($views,$downloads).$locale['themedb_dlperview_value'][1];
                }
                echo "</td>
            </tr>
        </table>";
        /*
        <table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:0 auto; margin-top:20px;'>
        	<tr>
                <td class='forum-caption'>".$locale['themedb_random_themes']."</td>
            </tr>
            <tr>
                <td class='tbl2' id='random_themes_cell'>".random_themes($id, $cat_id)."</td>
            </tr>
        </table>
        <script type='text/javascript'>
        var start = 0;
        function add_random_themes_handler(){
			$(\"#more_random_themes\").click(function () {
				start+3;
				$(\"#random_themes_cell\").load(\"random_themes.php?theme_id=$id&amp;cat_id=$cat_id&amp;rand_theme_start=\"+start+\"\", \"\", add_random_themes_handler);
				return false;
			});
		}
        
        add_random_themes_handler();
		</script>";*/
        closetable();
        showratings("T", $theme["id"], FUSION_SELF."?view=theme&amp;theme_id=".$id);
        showcomments("T", THEME_DB, "id", $theme["id"], FUSION_SELF."?view=theme&amp;theme_id=".$id);
    }else{
        opentable($locale['themedb_name']);
        display_message($locale['themedb_error'], $locale['themedb_not_approved']);
        closetable();
    }
}

//ADMIN PANEL

function admin_options($page=""){
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border' style='width: 100%;margin:20px 0;'>
        <tr>
            <th colspan='2' class='forum-caption'>Admin Options</th>
        </tr>";
        if($page == "theme"){
            if(isset($_GET['approve']) AND in_array($_GET['approve'], array(1,0))){
                dbquery("UPDATE ".THEME_DB." SET approved='".intval($_GET['approve'])."' WHERE id='".intval($_GET["theme_id"])."'");
                echo "<b>Theme ".($_GET['approve'] == 1 ? "approved" : "approval revoked")."</b>";
                }
            echo "<tr>
            <td class='tbl2'>
            -<a href='".str_replace("&","&amp;",preg_replace("#&approve=\d*#i", "", FUSION_REQUEST))."&amp;approve=0'>Undo Approval</a><br />
            </td>
            </tr>";
        }elseif($page == "main"){
            if(!empty($_POST['themes_per_page']) AND isNum($_POST['themes_per_page']) AND $_POST['themes_per_page'] < 500)
                dbquery("UPDATE ".THEME_DB."_settings SET items_per_page ='".$_POST['themes_per_page']."'");
            echo "<tr>
            <td class='tbl2'>
            Themes per Page: <form style='display:inline' action='".FUSION_REQUEST."' method='post'><input type='text' name='themes_per_page' maxlength='2' size='1' /><input type='submit' name='theme_admin_submit' class='button' /></form>
            </td>
            </tr>";
        }
    echo"</table>";
}

function display_message($title, $message, $type=""){
	if($type=="boxed"){
		opentable($title);
		echo $message;
		closetable();
	}else{
    	open_cat_table();
	    echo "
	    <tr>
	        <th colspan='3' class='forum-caption' style='text-align:left;'>".$title."</th></tr>
	    <tr>
	        <td class='tbl2'>
	            ".$message."
	        </td>
	    </tr>";
	    close_cat_table();
    }
}


//THEME DATABASE ADMIN PANEL
function approve_theme($id){
    global $userdata, $settings, $locale;
    $data = dbarray(dbquery("SELECT ".DB_PREFIX."users.user_name, ".DB_PREFIX."users.user_email, submitter_id, name FROM ".THEME_DB." JOIN ".DB_PREFIX."users ON submitter_id = ".DB_PREFIX."users.user_id WHERE id='".$id."' LIMIT 1"));
    $name = $data['user_name'];
    $email = $data['user_email'];
    $title = "Your Theme Submission was approved!";
    $text = "Congratulations ".$data['user_name']."!
Your Theme \"".$data['name']."\" was approved by our Team Member ".$userdata['user_name'].".
You can view it now by browsing to ".$settings['siteurl']."infusions/theme_database/index.php?view=theme&theme_id=$id
Thank you for your Submission once again. We would be pleased to receive more of you.

Sincerely, the PHP-Fusion Themes Team";
    sendemail($name,$email,$settings['siteusername'],$settings['siteemail'],$title, $text);
    display_message("Theme Approved!", "Theme was succesfully approved and is now publicly available in the Database!<br />
    <br /><b>Additional Actions:</b><br />
    &middot; <a href='".$settings['siteurl']."infusions/theme_database/index.php?view=theme&theme_id=$id'>View Theme in DB</a>");

}


function reject_theme($id, $reason){
    global $userdata, $settings, $locale;
    $data = dbarray(dbquery("SELECT ".DB_PREFIX."users.user_name, ".DB_PREFIX."users.user_email, submitter_id, name FROM ".THEME_DB." JOIN ".DB_PREFIX."users ON submitter_id = ".DB_PREFIX."users.user_id WHERE id='".$id."' LIMIT 1"));
    $name = $data['user_name'];
    $email = $data['user_email'];
    $title = "Your Theme Submission was rejected";
    $text = "Hello ".$data['user_name']."!
Unfortunately, your Theme \"".$data['name']."\" was rejected by our Team Member ".$userdata['user_name'].".
".$userdata['user_name']." gives the following reason for the rejection of your theme:\n".$reason."
We would be pleased to receive your Submission again as soon as you made the suggested corrections.

Sincerely, the PHP-Fusion Themes Team";
    sendemail($name,$email,$settings['siteusername'],$settings['siteemail'],$title, $text);
    display_message("Theme Rejected!", "Theme was succesfully rejected and deleted from the Database!");
}

//Notifications


//Awards
function show_awards($theme=""){
	$award_res = dbquery("SELECT * FROM ".THEME_DB_AWARDS);
	if(!dbrows($award_res)){
		return "there are no awards yet";
	}
	$awards = "";
	while($data = dbarray($award_res)){
		if(!empty($theme)){
			$awarded = true;
			$reqs = array();
			$raw_reqs = explode("|", $data['award_req']);
			foreach($raw_reqs as $req){
				list($name, $val) = explode("=", $req);
				if(strstr($name, "<")){
					if($theme[$name] < $val){
						continue;
					}
				}elseif(strstr($name, ">")){
					if($theme[$name] > $val){
						continue;
					}
				}else{
					if($theme[$name] == $val){
						continue;
					}
				}
				$awarded = false;
				break;
			}
			if($awarded){
				$awards .= "<td style='text-align: center; font-weight: bold;'><img src='".THEME_DB_DIR."images/awards/".$data['award_image']."' alt='".$data['award_name']."'/><br/>".$data['award_name']."</td>";
			}
		}else{
			$awards .= "<tr><td class='tbl1' style='text-align: center; font-weight: bold;'><img src='".THEME_DB_DIR."images/awards/".$data['award_image']."' alt='".$data['award_name']."'/><br/>".$data['award_name']."</td><td class='tbl2'>".$data['award_desc']."</td></tr>";
		}
	}
	
	if(!empty($theme)){
		if(!empty($awards))
			return "<table cellpadding='0' cellspacing='0'><tr>".$awards."</tr></table><br/><a href='".FUSION_SELF."?view=awards'>View all available awards</a>";
		else
			return "This theme did not receive any awards yet.<br/><a href='".FUSION_SELF."?view=awards'>View all available awards</a>";
	}else{
		if(!empty($awards))
			return "<table cellpadding='0' cellspacing='1' class='tbl-border' style='margin: 0 auto;'>".$awards."</table>";
		else
			return "There are no awards yet.";
	}
}

//Random Themes
function random_themes($theme_id="", $cat_id="", $rowstart=""){
	$cat_id = isset($_GET['cat_id']) && is_numeric($_GET['cat_id']) ? $_GET['cat_id'] : $cat_id;
	$theme_id = isset($_GET['theme_id']) && is_numeric($_GET['theme_id']) ? $_GET['theme_id'] : $theme_id;
	$rowstart = isset($_GET['rand_theme_start']) && is_numeric($_GET['rand_theme_start']) ? $_GET['rand_theme_start'] : $rowstart;
	
	$limit = !empty($rowstart) ? "3" : $rowstart.",".$rowstart+3; 
	$theme_res = select_themes($cat_id, "random", array("limit" => 3));
	$themes = "<table cellpadding='0' cellspacing='0'><tr>";
	while($data = dbarray($theme_res)){
		$img_url = THEME_DB_DIR."screenshots/".$data['cat_id']."/".rawurlencode($data['name']."[".$data['id']."]t.".$data['screenshot_ext']);
		$themes .= "<td style='text-align: center; padding: 5px;'><img src='".$img_url."' alt='".$data['name']."' /><br/>".$data['name']."</td>";
	}
	
	$themes .= "</tr></table><br/><a href='index.php?view=theme&amp;theme_id=".stripinput($theme_id)."' id='more_random_themes'>Show more themes</a>";
	return $themes;
}



//Quickreport
function quickreport(){
    global $userdata,$settings;
    opentable("Quick Report");
    if(!empty($_POST['submit_quickreport'])){
        $name_from = iGUEST ? stripinput($_POST['reporter_name']) : $userdata['user_name'];
        if(empty($name_from)){
            display_message("Name empty!","Please Enter a Name. We might need it to contact you for requests.");
            $error = 1;
        }
        $mail_from = iGUEST ? stripinput($_POST['reporter_mail']) : $userdata['user_email'];
        if(empty($mail_from)){
            display_message("eMail empty!","Please Enter an eMail address. We might need it to contact you for requests.");
            $error = 1;
        }
        $name_to = $settings['siteusername'];
        $mail_to = $settings['siteemail'];
        $title = "Quick Report by ".$name_from;
        $text = $name_from." submitted the follwoing Quick Report:<br />\n".
            nl2br(stripinput($_POST['quick_report']))."<br />\n
            <br />\n
            Additional Data:<br />\n
            <b>URL</b>: ".FUSION_REQUEST."<br />\n";
        if($error != 1){
            sendemail($name_to, $mail_to, $name_from, $mail_from, $title, $text, "html");
            display_message("Thank you!", "Thank you very much for your help! If we have requests about the Report, we will contact you.");
        }
    }else{
        echo "This Tool is just for the first time after the ThemeDB release. Please post errors you find or suggestions that come to your mind here and we will be informed about it immediately. Thank you very much for your help.<br />\n
        <form action='".FUSION_REQUEST."' method='post'>
        ".(iGUEST ? "<br />Your Name: <input class='textbox'  name='reporter_name' />" : "")."
        ".(iGUEST ? "<br />Your eMail: <input class='textbox'  name='reporter_mail' />" : "")."
        <textarea class='textbox' name='quick_report' style='width:80%; height:80px'></textarea><br />
        <input type='submit' name='submit_quickreport' value='Submit Report' class='button' />
        </form>";
    }
    closetable();
}
?>